## org.eclipse.ocl.expressions
Interface LetExp<C,PM>

All Superinterfaces:
  ASTNode, EObject, Notifier, OCLExpression<C>, TypedElement<C>, Visitable

All Known Subinterfaces:
  LetExp

All Known Implementing Classes:
  LetExpImpl, LetExpImpl

    public interface LetExp<C,PM>

extends OCLExpression<C>

A representation of the model object 'Let Exp'.

The following features are supported:

- `In`
- `Variable`

See Also:
  `ExpressionsPackage.getLetExp()`

Method Summary
`boolean` `checkLetType(DiagnosticChain diagnostics, Map<Object,Object> context)` type = in.type
`OCLExpression<C>` `getIn()` Returns the value of the 'In' containment reference
`Variable<C,PM>` `getVariable()` Returns the value of the 'Variable' containment reference
`void` `setIn(OCLExpression<C> value)` Sets the value of the '`In`' containment reference
`void` `setVariable(Variable<C,PM> value)` Sets the value of the '`Variable`' containment reference

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getIn

    OCLExpression<C> getIn()

  Returns the value of the 'In' containment reference.

  If the meaning of the 'In' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'In' containment reference.
  See Also:
    `setIn(OCLExpression)`, `ExpressionsPackage.getLetExp_In()`

### setIn

    void setIn(OCLExpression<C> value)

  Sets the value of the '`In`' containment reference.

  Parameters:
    `value` - the new value of the 'In' containment reference.
  See Also:
    `getIn()`

### getVariable

    Variable<C,PM> getVariable()

  Returns the value of the 'Variable' containment reference.

  If the meaning of the 'Variable' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Variable' containment reference.
  See Also:
    `setVariable(Variable)`, `ExpressionsPackage.getLetExp_Variable()`

### setVariable

    void setVariable(Variable<C,PM> value)

  Sets the value of the '`Variable`' containment reference.

  Parameters:
    `value` - the new value of the 'Variable' containment reference.
  See Also:
    `getVariable()`

### checkLetType

    boolean checkLetType(DiagnosticChain diagnostics,
                         Map<Object,Object> context)

  type = in.type

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.